Main Page Class Hierarchy Compound List File List Compound Members File Members

# time_ew.c File Reference

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <sys\timeb.h>`
`#include <sys\types.h>`
`#include <time_ew.h>`

Go to the source code of this file.

## Functions
tm * | gmtime_ew (const time_t *epochsec, struct tm *res)
tm * | localtime_ew (const time_t *epochsec, struct tm *res)
char * | ctime_ew (const time_t *epochsec, char *buf, int buflen)
char * | asctime_ew (const struct tm *tm, char *buf, int buflen)
double | hrtime_ew (double *tnow)
time_t | timegm_ew (struct tm *stm)
char * | datestr23 (double t, char *pbuf, int len)
char * | datestr23_local (double t, char *pbuf, int len)

## Function Documentation

char* asctime_ew | ( | const struct tm * | tm,
|  | char * | buf,
|  | int | buflen
| ) |

| Definition at line 81 of file time_ew.c.

char* ctime_ew | ( | const time_t * | epochsec,
|  | char * | buf,
|  | int | buflen
| ) |

| Definition at line 70 of file time_ew.c.

char* datestr23 | ( | double | t,
|  | char * | pbuf,
|  | int | len
| ) |

| Definition at line 132 of file time_ew.c. References DATESTR23, and gmtime_ew(). Referenced by log_strongmotion(), and wr_strongmotion().

char* datestr23_local | ( | double | t,
|  | char * | pbuf,
|  | int | len
| ) |

| Definition at line 173 of file time_ew.c. References DATESTR23, and localtime_ew().

struct tm* gmtime_ew | ( | const time_t * | epochsec,
|  | struct tm * | res
| ) |

| Definition at line 47 of file time_ew.c. References gmtime_ew(). Referenced by close_seisan_file(), datestr23(), datestr24(), gmtime_ew(), GSEPA_next(), html_logit(), logit(), logit_init(), SACPABase_next_ev(), writetrig(), and writetrig_init().

double hrtime_ew | ( | double * | tnow | ) |

| Definition at line 92 of file time_ew.c. References tnow().

struct tm* localtime_ew | ( | const time_t * | epochsec,
|  | struct tm * | res
| ) |

| Definition at line 58 of file time_ew.c. References localtime_ew(). Referenced by datestr23_local(), and localtime_ew().

time_t timegm_ew | ( | struct tm * | stm | ) |

| Definition at line 107 of file time_ew.c. Referenced by SAC_reftime().